Bug 851772 - [abrt] calibre-0.8.33-2.fc16: genericpath.py:29:isfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 269: ordinal not in range(128)
[abrt] calibre-0.8.33-2.fc16: genericpath.py:29:isfile:UnicodeEncodeError: 'a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:a553235ee9f57cc7a8d2e19615c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 11:59 EDT by Rubyo
Modified: 2013-02-13 20:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rubyo 2012-08-25 11:59:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        python2 /usr/bin/calibre-parallel
comment:        using recipies to downlaod from a site 
executable:     /usr/bin/calibre-parallel
kernel:         3.4.9-1.fc16.x86_64
time:           Sat 25 Aug 2012 05:20:23 PM CEST
uid:            1000
username:       stefano

backtrace:
:genericpath.py:29:isfile:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 269: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 186, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 968, in run
:    encoding=self.input_plugin.output_encoding)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1114, in create_oebbook
:    reader()(oeb, path_or_stream)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 70, in __call__
:    self._all_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 616, in _all_from_opf
:    self._manifest_from_opf(opf)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 259, in _manifest_from_opf
:    self._manifest_add_missing(invalid)
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/reader.py", line 220, in _manifest_add_missing
:    if not self.oeb.container.exists(href):
:  File "/usr/lib64/calibre/calibre/ebooks/oeb/base.py", line 448, in exists
:    return os.path.isfile(path)
:  File "/usr/lib64/python2.7/genericpath.py", line 29, in isfile
:    st = os.stat(path)
:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe8' in position 269: ordinal not in range(128)
:
:Local variables in innermost frame:
:path: u'/tmp/calibre_0.8.33_tmp_5STZ1Y/B390pI_plumber/feed_11/article_18/GESSI ADAMOLI INVITATO a cena da Enrico Preziosi, Edoardo Garrone ha portato la torta. E speriamo che non lo vengano a sapere i magistrati di Cremona... Una cena in spiaggia in quella Forte dei Marmi che \xe8 diventata il ritrovo di vip nostrani e di magnati russi. Lo stabilimento \xe8 il Bagno Roma Levante, quello dove sia Preziosi che Garrone hanno la tenda, versione snob del classico ombrellone con lettino. \xc8 stato Preziosi a invitare Garrone: "E ti stupir\xf2 perch\xe9 cuciner\xf2 io". Effettivamente tra i fornelli si disimpegna alla grande, se si eccettua la sua versione riveduta e scorretta del pesto alla genovese che lui propone con l\'aggiunta del peperoncino. \xc8 arrivato in bicicletta, poco dopo le 5 del pomeriggio, e ha iniziato a cucinare un men\xf9 che propone tartare di ricciola, paccheri all\'astice e per contorno zucchine alla scapece e peperoni in agrodolce. "Perch\xe9 come li cucino io i peperoni sono digeribilissimi, ho fatto ricredere anche Galliani... ". Una cena per 30 persone, Galliani, inseparabile compagno di Preziosi nelle serate al Forte, avendo un impegno precedente \xe8 arrivato solo per il caff\xe8, come pure Cairo, presidente del Torino. In tempo, per\xf2, per la diretta dello "Speciale calciomercato" di Sky perch\xe9 ormai tutto quanto fa spettacolo. E plaudendo allo scambio Pazzini-Cassano tra Inter e Milan, Preziosi a Garrone ha lanciato una proposta: "Perch\xe9 anche noi non facciamo qualche operazione analoga?". Un particolare resta oscuro. Se Preziosi da milanese, anche se importato, nel litorale tutt\'altro che esaltante di Forte dei Marmi trova il suo habitat, perch\xe9 Garrone jr con il mare splendido che c\'\xe8 in Liguria si \xe8 preso una tenda al Bagno Roma Levante?'

smolt_data:
:
:
:General
:=================================
:UUID: 0cd65612-7b05-4f04-88fc-fd21e979c3b3
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4987.81
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9300  @ 2.50GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2501
:System Memory: 3954
:System Swap: 6015
:Vendor: Hewlett-Packard
:System: HP Pavilion dv6700 Notebook PC Rev 1
:Form factor: Notebook
:Kernel: 3.4.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:1426:4156:12492) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4156:12492) pci, r852, BASE, xD-Picture Card Controller
:(4480:2098:4156:12492) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4156:12492) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10752:4156:12492) pci, None, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10753:4156:12492) pci, pcieport, PCI/PCI, Mobile PM965/GM965/GL960 PCI Express Root Port
:(32902:10302:4156:12492) pci, None, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10281:4156:12492) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(32902:10320:4156:12492) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4156:12492) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(32902:16937:32902:4353) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN
:(32902:10289:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:9288:4156:12492) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10290:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4156:12492) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10303:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4156:12492) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(4332:33078:4156:12492) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10292:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10288:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(4318:1063:4156:12492) pci, nvidia, VIDEO, G86 [GeForce 8400M GS]
:(32902:10313:4156:12492) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(32902:10293:4156:12492) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_greene-lv_root / ext4 4096 4096 12901535 11303861 11172839 3276800 3080955 3080955
:/dev/sda2 /boot ext4 1024 1024 495844 408423 382823 128016 127778 127778
:/dev/mapper/vg_greene-lv_home /home ext4 4096 4096 62370789 15922138 12753882 15843328 15561517 15561517
:
Comment 1 Kevin Fenzi 2012-08-25 13:15:34 EDT
What were you doing when this happened? Can you duplicate it?

Can you duplicate it with the newer version from my side repo: 

su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 2 Fedora End Of Life 2013-01-16 18:24:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 20:47:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.